Bug 729263 - Review Request: rubygem-virt-p2v - Send a machine's storage and metadata to virt-p2v-server
Summary: Review Request: rubygem-virt-p2v - Send a machine's storage and metadata to v...
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: Package Review
Version: rawhide
Hardware: All
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-09 09:57 UTC by Matthew Booth
Modified: 2012-05-11 08:11 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-05-11 08:11:47 UTC
rjones: fedora-review+
gwync: fedora-cvs+


Attachments (Terms of Use)

Description Matthew Booth 2011-08-09 09:57:20 UTC
Spec URL: http://people.redhat.com/mbooth/virt-p2v/rubygem-virt-p2v.spec
SRPM URL: http://people.redhat.com/mbooth/virt-p2v/rubygem-virt-p2v-0.8.2-1.fc14.src.rpm
Description: 
virt-p2v is a client which connects to a virt-p2v-server and transfer's the host
machine's storage and metadata. virt-p2v is intended to be run from a live
image, so it is unlikely you want to install it directly.

Comment 1 Richard W.M. Jones 2011-08-18 10:52:21 UTC
Taking for review ...

Comment 2 Richard W.M. Jones 2011-08-18 10:57:34 UTC
Koji scratch build for F16 was successful:

http://koji.fedoraproject.org/koji/taskinfo?taskID=3282218

Comment 3 Richard W.M. Jones 2011-08-18 11:22:25 UTC
This package is ExclusiveArch: i686 (for perfectly good reasons).
However this means I could not build it on my local machine.  Therefore
all testing was done using the packages built in Koji.

- rpmlint output

No %changelog section in the spec file.

Multiple instances of 'incorrect-fsf-address' in the source.  I will
submit a patch upstream to fix this.

+ package name satisfies the packaging naming guidelines
+ specfile name matches the package base name
+ package should satisfy packaging guidelines

%defattr lines are not strictly required, but can be left in for
EPEL compatibility.

BuildRoot is no longer needed, but can be left in for EPEL compat.

+ license meets guidelines and is acceptable to Fedora
+ license matches the actual package license
+ %doc includes license file
+ spec file written in American English
+ spec file is legible
+ upstream sources match sources in the srpm
+ package successfully builds on at least one architecture
  (only on i686)
n/a ExcludeArch bugs filed
+ BuildRequires list all build dependencies
  (because of Koji scratch build)
n/a %find_lang instead of %{_datadir}/locale/*
n/a binary RPM with shared library files must call ldconfig in %post and %postun
+ does not use Prefix: /usr
+ package owns all directories it creates
+ no duplicate files in %files
+ consistent use of macros
+ package must contain code or permissible content
+ large documentation files should go in -doc subpackage
+ files marked %doc should not affect package
n/a header files should be in -devel
n/a static libraries should be in -static
n/a packages containing pkgconfig (.pc) files need 'Requires: pkgconfig'
n/a libfoo.so must go in -devel
n/a -devel must require the fully versioned base
n/a packages should not contain libtool .la files
n/a packages containing GUI apps must include %{name}.desktop file

Although this is a "GUI app" it is not a desktop app.  It boots
from an ISO on a separate machine, so no desktop file is required.

+ packages must not own files or directories owned by other packages
+ filenames must be valid UTF-8

Optional:

n/a if there is no license file, packager should query upstream
n/a translations of description and summary for non-English languages, if available
+ reviewer should build the package in mock
+ the package should build into binary RPMs on all supported architectures
+ review should test the package functions as described
n/a scriptlets should be sane
n/a pkgconfig files should go in -devel
n/a shouldn't have file dependencies outside /etc /bin /sbin /usr/bin or /usr/sbin

-------------

The package has a couple of errors which are very simple to fix, so I'll
just go ahead and submit fixes on behalf of the packager.

Comment 4 Richard W.M. Jones 2011-08-18 11:36:38 UTC
Updated spec file includes a changelog section:
http://oirase.annexia.org/reviews/rubygem-virt-p2v.spec

I have pushed a patch upstream which updates the FSF
addresses in all comments and documentation:
http://git.fedorahosted.org/git/?p=virt-v2v.git;a=commitdiff;h=2b4d755b3e1f249f2a7631e1450f5b225c31761e

-----

Therefore this package is APPROVED by rjones.

Comment 5 Matthew Booth 2011-08-18 12:56:39 UTC
New Package SCM Request
=======================
Package Name: rubygem-virt-p2v
Short Description: Send a machine's storage and metadata to virt-p2v-server
Owners: mdbooth rwmjones
Branches: f14 f15 f16
InitialCC: mdbooth

Comment 6 Gwyn Ciesla 2011-08-18 13:01:23 UTC
Richard, please take ownership of the bug, and correct your FAS username
in the request.  Thanks!

Comment 7 Richard W.M. Jones 2011-08-18 13:12:24 UTC
New Package SCM Request
=======================
Package Name: rubygem-virt-p2v
Short Description: Send a machine's storage and metadata to virt-p2v-server
Owners: mdbooth rjones
Branches: f14 f15 f16
InitialCC:

Comment 8 Gwyn Ciesla 2011-08-19 14:32:02 UTC
Git done (by process-git-requests).

Comment 9 Vít Ondruch 2012-05-11 08:11:47 UTC
Seems to be already in Fedora. I'm closing this bug.


Note You need to log in before you can comment on or make changes to this bug.